.. _ansible.netcommon.default_cliconf:


*************************
ansible.netcommon.default
*************************

**General purpose cliconf plugin for new platforms**


Version added: 5.2.0

.. contents::
   :local:
   :depth: 1


Synopsis
--------
- This plugin attemts to provide low level abstraction apis for sending and receiving CLI commands from arbitrary network devices.











Status
------


Authors
~~~~~~~

- Ansible Networking Team (@ansible-network)


.. hint::
    Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.
